<?php

/**
 * The template for displaying news archive page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package UIU_CSE
 */

get_header();
?>


<main id="main" class="site-main" role="main">


	<div class="sections">



		<section id="all-faculties" class="container">



			<h2>List of Faculty Members of Department of CSE</h2>

			<!-- <hr> -->
			<div class="parent-grid">

				<?php if (have_posts()) : ?>
					<?php while (have_posts()) : the_post(); ?>


						<div class="faculty-stub grid-sub-item">

							<div class="stub-img-holder">
								<img class="stub-img" src="<?php the_field('profile_photo'); ?>" alt="">
							</div>
							<a class="faculty-link" href="<?php echo get_the_permalink(); ?>">
								<div class="archive-faculty-details">

									<h3><?php echo get_the_title(); ?></h3>

									<span class="faculty-designation">
										Department of Computer Science and Engineering
										<?php //the_field('designation');
										?>
									</span>

								</div>

							</a>
						</div>



					<?php endwhile; ?>

					<?php the_posts_navigation(); ?>

				<?php
				else :

					get_template_part('template-parts/content', 'none');

				endif;
				?>
			</div>
			<div class="grid">

			</div>
		</section>
	</div>
</main><!-- #main -->

<style>
	@import url("https://fonts.googleapis.com/css2?family=DM+Serif+Text&display=swap");
	@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");
	@import url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css);

	header {
		height: 100px !important;
	}

	#all-faculties h2 {
		color: #000 !important;
		margin-top: 40px;
		margin-bottom: 20px;
	}

	#all-faculties .faculty-stub {
		width: 100%;
		padding: 5px;
		box-shadow: 2px 2px 10px 6px rgba(0, 0, 0, 0.137254902);
		margin: 30px auto;
	}

	#all-faculties .stub-img-holder {
		border-radius: 4px !important;
		height: 160px;
		overflow: hidden;
	}

	#all-faculties .stub-img-holder img {
		border-radius: 0px !important;
		height: 100%;
		width: 100%;
		-o-object-fit: cover;
		object-fit: cover;
		-o-object-position: center;
		object-position: center;
	}

	#all-faculties .archive-faculty-details {
		height: 100px;
		padding: 0px 10px;
	}

	#all-faculties .archive-faculty-details .faculty-degree {
		display: inline-block;
		color: rgba(89, 107, 161, 0.5647058824);
		font-weight: 800;
		font-size: 14px;
	}

	#all-faculties .archive-faculty-details .faculty-designation {
		display: block;
		color: rgba(0, 0, 0, 0.5647058824);
		font-weight: 800;
		font-size: 14px;
	}

	#all-faculties .archive-faculty-details h3 {
		font-size: 18px;
		line-height: 22px;
		font-family: "Open Sans", sans-serif;
		color: #2F4858 !important;
		margin: 10px auto;
	}

	/*# sourceMappingURL=archive-faculty.css.map */
</style>
<?php
get_footer();
